kr.co.hanwha.hifive.enums

## Enum RollCode

- java.lang.Object
- - java.lang.Enum<RollCode>
  - - kr.co.hanwha.hifive.enums.RollCode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RollCode>

      public enum RollCode
      extends java.lang.Enum<RollCode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CAPTAIN` 유닛관리자
    `MANAGER` 관리자
    `MEMBER` 유닛원

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `mCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `static RollCode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RollCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MEMBER

          public static final RollCode MEMBER

      유닛원

    - #### MANAGER

          public static final RollCode MANAGER

      관리자

    - #### CAPTAIN

          public static final RollCode CAPTAIN

      유닛관리자

  - ### Field Detail

    - #### mCode

          int mCode

  - ### Method Detail

    - #### values

          public static RollCode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RollCode c : RollCode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RollCode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()